Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.master.search.transaction
Class TransactionSummary

    java.lang.Object
      com.sun.mdm.index.master.search.transaction.TransactionSummary

All Implemented Interfaces:
  java.io.Serializable

public class TransactionSummary
extends java.lang.Object
implements java.io.Serializable

The TransactionSummary class represents an object containing a transaction summary returned by a call to lookupTransaction. A transaction history search returns an iterator of TransactionSummary objects.

See Also:
  Serialized Form

Constructor Summary
`TransactionSummary(TransactionObject obj)` Creates a new instance of the TransactionSummary class.

Method Summary
`EnterpriseObjectHistory` | `getEnterpriseObjectHistory()` Retrieves the enteprise object history (class EnterpriseObjectHistory) in an instance of TransactionSummary.
`TransactionObject` | `getTransactionObject()` Retrieves the transaction object (class TransactionObject) in an instance of TransactionSummary.
`boolean` | `getValidTransaction()` Returns the valid transaction flag.
`void` | `setEnterpriseObjectHistory(EnterpriseObjectHistory objHist)` Sets the enterprise object history (class EnterpriseObjectHistory) in an instance of TransactionSummary.
`void` | `setValidTransaction(boolean val)` Sets the valid transaction flag
`java.lang.String` | `toString()` Retrieves a string representation of a TransactionSummary object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransactionSummary

    public TransactionSummary(TransactionObject obj)

  Creates a new instance of the TransactionSummary class.

  Parameters:
    `obj` - A transaction object (class TransactionObject).
  Throws:
    None.

Method Detail

### getEnterpriseObjectHistory

    public EnterpriseObjectHistory getEnterpriseObjectHistory()

  Retrieves the enteprise object history (class EnterpriseObjectHistory) in an instance of TransactionSummary.

  Parameters:
    None.

  Returns:
    `EnterpriseObjectHistory` - A history of an enterprise object.
  Throws:
    None.

### getTransactionObject

    public TransactionObject getTransactionObject()

  Retrieves the transaction object (class TransactionObject) in an instance of TransactionSummary.

  Parameters:
    None.

  Returns:
    `TransactionObject` - A transaction object.
  Throws:
    None.

### getValidTransaction

    public boolean getValidTransaction()

  Returns the valid transaction flag.

  Parameters:
    None.

  Returns:
    `boolean` - true if the transaction is valid, false otherwise.
  Throws:
    None.

### setEnterpriseObjectHistory

    public void setEnterpriseObjectHistory(EnterpriseObjectHistory objHist)

  Sets the enterprise object history (class EnterpriseObjectHistory) in an instance of TransactionSummary.

  Parameters:
    `objHist` - An EnterpriseObjectHistory object.
  Returns:
    `void` - None.
  Throws:
    None.

### setValidTransaction

    public void setValidTransaction(boolean val)

  Sets the valid transaction flag

  Parameters:
    `val` - A boolean indicating if the transaction is valid.
  Returns:
    `void` - None.
  Throws:
    None.

### toString

    public java.lang.String toString()

  Retrieves a string representation of a TransactionSummary object.

  Parameters:
    None.

  Returns:
    `String` - The value of the TransactionSummary elements.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.